Skip to main content
GET
/
api
/
v1
/
alert-deliveries
/
{id}
/
attempts
List delivery attempts for a specific alert delivery
curl --request GET \
  --url https://api.devhelm.io/api/v1/alert-deliveries/{id}/attempts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deliveryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "attemptNumber": 123,
      "status": "<string>",
      "responseStatusCode": 123,
      "requestPayload": "<string>",
      "responseBody": "<string>",
      "errorMessage": "<string>",
      "responseTimeMs": 123,
      "externalId": "<string>",
      "requestHeaders": {},
      "attemptedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasNext": true,
  "hasPrev": true
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

data
object[]
hasNext
boolean
hasPrev
boolean